Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# Message.h File Reference

Go to the source code of this file.

## Classes

class | FIX::Message
| Base class for all FIX messages. More...

## Namespaces

namespace | FIX

## Typedefs

typedef FieldMap | FIX::Header
typedef FieldMap | FIX::Trailer

## Functions

std::ostream & | FIX::operator<< (std::ostream &stream, const Message &message)
MsgType | FIX::identifyType (const std::string &message) throw ( MessageParseError )
| Parse the type of a message from a string.

## Variables

static int const | FIX::headerOrder []